%define module_name Alien-libdeflate
# BEGIN SourceDeps(oneline):
BuildRequires: libdeflate-devel perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Gather/IsolateDynamic.pm) perl(Alien/gmake.pm) perl(Archive/Tar.pm) perl(Config.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Tiny.pm) perl(IO/Socket/SSL.pm) perl(IO/Zlib.pm) perl(Mojo/DOM.pm) perl(Mojolicious.pm) perl(Net/SSLeay.pm) perl(Sort/Versions.pm) perl(URI.pm) perl(URI/Escape.pm) perl(base.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt2
Summary: Fetch/build/stash the libdeflate headers and libs for L<libdeflate|https://github.com/ebiggers/libd...
Group: Development/Perl
License: artistic_2
URL: https://github.com/kiwiroy/alien-libdeflate

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KI/KIWIROY/%{module_name}-%{version}.tar.gz

%description
Download, build, and install the libdeflate C headers and libraries into a
well-known location, `Alien::libdeflate->dist_dir', from whence other
packages can make use of them.

The version installed will be the latest release on the master branch from
the libdeflate GitHub repository.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.03-alt2
- rebuild with perl 5.38

* Fri Jul 29 2022 Igor Vlasenko <viy@altlinux.org> 0.03-alt1
- updated by package builder

* Thu Dec 02 2021 Igor Vlasenko <viy@altlinux.org> 0.02-alt1
- initial import by package builder

